[Libreoffice-commits] core.git: bin/run

Stephan Bergmann sbergman at redhat.com
Wed Nov 12 02:13:13 PST 2014


 bin/run |   23 +++++++++++++++++++++++
 1 file changed, 23 insertions(+)

New commits:
commit 218840babb2f220c93f1ee9850c873861e547cd3
Author: Stephan Bergmann <sbergman at redhat.com>
Date:   Wed Nov 12 11:11:07 2014 +0100

    Adapt bin/run for OS X
    
    ...which does not have realpath(1), so just require CWD to match BUILDDIR there
    
    Change-Id: I245241299d650c541f86cf440d3b57308c86d3fb

diff --git a/bin/run b/bin/run
index 365e287..b37fa46 100755
--- a/bin/run
+++ b/bin/run
@@ -2,6 +2,27 @@
 
 # simple wrapper script to run non-installed executables from workdir
 
+if [ $(uname) = Darwin ]; then
+
+dir=$(pwd)
+
+if [ ! -d "${dir}/instdir/LibreOffice.app" ]; then
+    echo "error: cannot find \"instdir/LibreOffice.app\" dir in \"$(pwd)\""
+    exit 1
+fi
+
+exedir="${dir}"/workdir/LinkTarget/Executable
+export URE_BOOTSTRAP=file://"${dir}"/instdir/LibreOffice.app/Contents/Resources/fundamentalrc
+export DYLD_LIBRARY_PATH=${DYLD_LIBRARY_PATH:+$DYLD_LIBRARY_PATH:}"${dir}"/instdir/LibreOffice.app/Contents/Frameworks
+
+echo "setting URE_BOOTSTRAP to: ${URE_BOOTSTRAP}"
+echo "setting search path to: ${DYLD_LIBRARY_PATH}"
+echo "execing: ${exedir}/$1"
+
+exec "${exedir}"/$@
+
+else
+
 dir=$(realpath "$(pwd)")
 
 while test ! -d "${dir}/instdir/program" ; do
@@ -22,3 +43,5 @@ echo "execing: ${exedir}/$1"
 
 cd "${dir}"/instdir/program
 exec "${exedir}"/$@
+
+fi


More information about the Libreoffice-commits mailing list